/// <reference types="react" />
import * as React from "react";
import { IdentityRef } from "../../Utilities/Identity";
import { IBaseFluxComponentProps } from "../Utilities/BaseFluxComponent";
import { PersonaSize } from "OfficeFabric/Persona";
export interface IIdentityViewProps extends IBaseFluxComponentProps {
    identityRef?: IdentityRef;
    identityDistinctName?: string;
    useWorkItemIdentityParser?: boolean;
    size?: PersonaSize;
}
export declare const IdentityView: React.StatelessComponent<IIdentityViewProps>;
