import "./InfoLabel.css";
import * as React from "react";
import { Label } from "OfficeFabric/Label";
import { TooltipDelay, TooltipHost } from "OfficeFabric/Tooltip";
import { css } from "OfficeFabric/Utilities";
import { VssIcon } from "VSSUI/VssIcon";
export var InfoLabel = function (props) {
    return (React.createElement("div", { className: css("info-label", props.className) },
        React.createElement(Label, { className: "info-label-text" }, props.label),
        props.info &&
            React.createElement(TooltipHost, { content: props.info, delay: TooltipDelay.zero, directionalHint: 5 },
                React.createElement(VssIcon, { iconType: 0, className: "info-icon", iconName: "Info" }))));
};
//# sourceMappingURL=InfoLabel.js.map