import "./InputError.css";
import * as React from "react";
import { Label } from "OfficeFabric/Label";
import { css } from "OfficeFabric/Utilities";
import { VssIcon } from "VSSUI/VssIcon";
export var InputError = function (props) {
    return (React.createElement("div", { className: css("input-error", props.className) },
        React.createElement(VssIcon, { iconType: 0, className: "error-icon", iconName: "Error" }),
        React.createElement(Label, { className: "error-text" }, props.error)));
};
//# sourceMappingURL=InputError.js.map