import * as React from "react";
export var Pane = function (props) {
    var size = props.size || 0;
    var unit = props.percentage ? "%" : "px";
    var classes = "layout-pane";
    var style = {};
    if (!props.primary) {
        if (props.vertical) {
            style.height = "" + size + unit;
        }
        else {
            style.width = "" + size + unit;
        }
    }
    else {
        classes += " layout-pane-primary";
    }
    return React.createElement("div", { className: classes, style: style }, props.children);
};
//# sourceMappingURL=Pane.js.map