/// <reference types="react" />
import { BaseStore } from "../../../Flux/Stores/BaseStore";
import { BaseFluxComponent, IBaseFluxComponentState } from "../../Utilities/BaseFluxComponent";
import { ISimpleComboProps } from "../../VssCombo/SimpleCombo";
import { WebApiTeam } from "TFS/Core/Contracts";
export interface ITeamPickerState extends IBaseFluxComponentState {
    allTeams?: WebApiTeam[];
}
export declare class TeamPicker extends BaseFluxComponent<ISimpleComboProps<WebApiTeam>, ITeamPickerState> {
    private _teamStore;
    componentDidMount(): void;
    render(): JSX.Element;
    protected getStores(): BaseStore<any, any, any>[];
    protected getStoresState(): ITeamPickerState;
}
