/// <reference types="react" />
import { BaseStore } from "../../../Flux/Stores/BaseStore";
import { BaseFluxComponent, IBaseFluxComponentState } from "../../Utilities/BaseFluxComponent";
import { ISimpleComboProps } from "../../VssCombo/SimpleCombo";
import { WorkItemRelationType } from "TFS/WorkItemTracking/Contracts";
export interface IWorkItemRelationTypePickerState extends IBaseFluxComponentState {
    relationTypes?: WorkItemRelationType[];
}
export declare class WorkItemRelationTypePicker extends BaseFluxComponent<ISimpleComboProps<WorkItemRelationType>, IWorkItemRelationTypePickerState> {
    private _workItemRelationTypeStore;
    componentDidMount(): void;
    render(): JSX.Element;
    protected getStoresState(): IWorkItemRelationTypePickerState;
    protected getStores(): BaseStore<any, any, any>[];
}
