import { ErrorMessageActionsHub } from "./ActionsHub";
export var ErrorMessageActions;
(function (ErrorMessageActions) {
    function showErrorMessage(errorMessage, errorKey) {
        ErrorMessageActionsHub.PushErrorMessage.invoke({ errorMessage: errorMessage, errorKey: errorKey });
    }
    ErrorMessageActions.showErrorMessage = showErrorMessage;
    function dismissErrorMessage(errorKey) {
        return ErrorMessageActionsHub.DismissErrorMessage.invoke(errorKey);
    }
    ErrorMessageActions.dismissErrorMessage = dismissErrorMessage;
    function dismissAllErrorMessages() {
        return ErrorMessageActionsHub.DismissAllErrorMessages.invoke(null);
    }
    ErrorMessageActions.dismissAllErrorMessages = dismissAllErrorMessages;
})(ErrorMessageActions || (ErrorMessageActions = {}));
//# sourceMappingURL=ErrorMessageActions.js.map