import { BaseStore } from "./BaseStore";
import { GitRepository } from "TFS/VersionControl/Contracts";
export declare class GitRepoStore extends BaseStore<GitRepository[], GitRepository, string> {
    private _itemsIdMap;
    private _itemsNameMap;
    constructor();
    getItem(idOrName: string): GitRepository;
    getKey(): string;
    protected initializeActionListeners(): void;
    protected convertItemKeyToString(key: string): string;
}
