import { BaseStore } from "./BaseStore";
import { WorkItemRelationType } from "TFS/WorkItemTracking/Contracts";
export declare class WorkItemRelationTypeStore extends BaseStore<WorkItemRelationType[], WorkItemRelationType, string> {
    private _itemsRefNameMap;
    private _itemsNameMap;
    constructor();
    getItem(relationTypeRefName: string): WorkItemRelationType;
    getKey(): string;
    protected initializeActionListeners(): void;
    protected convertItemKeyToString(key: string): string;
}
