import { BaseStore } from "./BaseStore";
import { WorkItem } from "TFS/WorkItemTracking/Contracts";
export declare class WorkItemStore extends BaseStore<IDictionaryNumberTo<WorkItem>, WorkItem, number> {
    constructor();
    getItem(workItemId: number): WorkItem;
    getItems(workItemIds: number[]): WorkItem[];
    getKey(): string;
    clearStore(): void;
    protected initializeActionListeners(): void;
    protected convertItemKeyToString(key: number): string;
    private _addWorkItem(workItem);
    private _removeWorkItem(workItemId);
}
