import * as tslib_1 from "tslib";
import { WorkItemTemplateItemActionsHub } from "../Actions/ActionsHub";
import { BaseStore } from "./BaseStore";
var WorkItemTemplateItemStore = (function (_super) {
    tslib_1.__extends(WorkItemTemplateItemStore, _super);
    function WorkItemTemplateItemStore() {
        var _this = _super.call(this) || this;
        _this.items = {};
        return _this;
    }
    WorkItemTemplateItemStore.prototype.getItem = function (id) {
        var key = (id || "").toLowerCase();
        return this.items[key];
    };
    WorkItemTemplateItemStore.prototype.getKey = function () {
        return "WorkItemTemplateItemStore";
    };
    WorkItemTemplateItemStore.prototype.initializeActionListeners = function () {
        var _this = this;
        WorkItemTemplateItemActionsHub.InitializeWorkItemTemplateItem.addListener(function (template) {
            if (template) {
                _this.items[template.id.toLowerCase()] = template;
            }
            _this.emitChanged();
        });
    };
    WorkItemTemplateItemStore.prototype.convertItemKeyToString = function (key) {
        return key;
    };
    return WorkItemTemplateItemStore;
}(BaseStore));
export { WorkItemTemplateItemStore };
//# sourceMappingURL=WorkItemTemplateItemStore.js.map