import { BaseFluxComponent } from "./BaseFluxComponent";
export declare abstract class AutoResizableComponent<TP, TS> extends BaseFluxComponent<TP, TS> {
    private static WIDTH_DELTA;
    private _windowResizeThrottleDelegate;
    private _bodyElement;
    private _windowWidth;
    constructor(props: TP, context?: any);
    componentDidMount(): void;
    componentDidUpdate(): void;
    protected resize(): void;
}
