/// <reference types="react" />
import "./WorkItemStateView.css";
import { BaseStore } from "../../../Flux/Stores/BaseStore";
import { BaseFluxComponent, IBaseFluxComponentProps, IBaseFluxComponentState } from "../../Utilities/BaseFluxComponent";
import { WorkItemStateColor } from "TFS/WorkItemTracking/Contracts";
export interface IWorkItemStateViewProps extends IBaseFluxComponentProps {
    state: string;
    workItemType: string;
}
export interface IWorkItemStateViewState extends IBaseFluxComponentState {
    workItemTypeState: WorkItemStateColor;
}
export declare class WorkItemStateView extends BaseFluxComponent<IWorkItemStateViewProps, IWorkItemStateViewState> {
    private _workItemStateItemStore;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IWorkItemStateViewProps, context?: any): void;
    render(): JSX.Element;
    protected getStoresState(): IWorkItemStateViewState;
    protected initializeState(): void;
    protected getStores(): BaseStore<any, any, any>[];
}
