/// <reference types="react" />
import { BaseStore } from "../../../Flux/Stores/BaseStore";
import { BaseFluxComponent, IBaseFluxComponentState } from "../../Utilities/BaseFluxComponent";
import { ISimpleComboProps } from "../../VssCombo/SimpleCombo";
import { WorkItemType } from "TFS/WorkItemTracking/Contracts";
export interface IWorkItemTypePickerState extends IBaseFluxComponentState {
    allWits?: WorkItemType[];
}
export declare class WorkItemTypePicker extends BaseFluxComponent<ISimpleComboProps<WorkItemType>, IWorkItemTypePickerState> {
    private _workItemTypeStore;
    componentDidMount(): void;
    render(): JSX.Element;
    protected getStoresState(): IWorkItemTypePickerState;
    protected getStores(): BaseStore<any, any, any>[];
}
