import { BaseStore } from "./BaseStore";
import { WebApiTagDefinition } from "TFS/Core/Contracts";
export declare class WorkItemTagStore extends BaseStore<WebApiTagDefinition[], WebApiTagDefinition, string> {
    private _itemsIdMap;
    private _itemsNameMap;
    constructor();
    getItem(idOrName: string): WebApiTagDefinition;
    getKey(): string;
    protected initializeActionListeners(): void;
    protected convertItemKeyToString(key: string): string;
}
