export declare function first<T>(array: T[], predicate?: (value: T) => boolean): T;
export declare function findIndex<T>(array: T[], predicate: (param: T) => boolean): number;
export declare function union<T>(arrayA: T[], arrayB: T[], comparer?: (a: T, b: T) => number): T[];
export declare function uniqueSort<T>(array: T[], comparer?: (a: T, b: T) => number): T[];
export declare function unique<T>(array: T[], comparer?: (a: T, b: T) => number): T[];
export declare function removeWhere<T>(array: T[], predicate: (element: T) => boolean, count?: number, startAt?: number): void;
export declare function removeAtIndex<T>(array: T[], index: number): boolean;
export declare function subtract<T>(arrayA: T[], arrayB: T[], comparer: (s: T, t: T) => boolean): T[];
export declare function removeAllIndexes<T>(array: T[], indexes: number[]): boolean;
export declare function contains<T>(array: T[], value: T, comparer: (s: T, t: T) => boolean): boolean;
export declare function arrayEquals<T>(source: T[], target: T[], comparer?: (s: T, t: T) => boolean, sorted?: boolean): boolean;
