export interface IdentityRef {
    id: string;
    displayName: string;
    uniqueName: string;
    descriptor?: string;
    imageUrl?: string;
}
export declare function getCurrentUser(asIdentityRef?: boolean): string | IdentityRef;
export declare function getDistinctNameFromIdentityRef(identityRef: IdentityRef, includeId?: boolean): string;
export declare function parseWorkItemIdentityName(distinctName: string): IdentityRef;
export declare function parseUniquefiedIdentityName(distinctName: string): IdentityRef;
