import "./WorkItemTagsView.css";
import * as React from "react";
import { Label } from "OfficeFabric/Label";
import { css } from "OfficeFabric/Utilities";
export var WorkItemTagsView = function (props) {
    var tags = props.tags.filter(function (tag) { return tag != null && tag.trim() !== ""; });
    if (tags.length === 0) {
        return null;
    }
    return (React.createElement("div", { className: css("tags-view", props.className) }, tags.map(function (tag, index) { return React.createElement(Label, { key: index, className: "tag" }, tag.trim()); })));
};
//# sourceMappingURL=WorkItemTagsView.js.map