/// <reference types="react" />
import "./WorkItemTitleView.css";
import * as React from "react";
import { BaseStore } from "../../../Flux/Stores/BaseStore";
import { BaseFluxComponent, IBaseFluxComponentProps, IBaseFluxComponentState } from "../../Utilities/BaseFluxComponent";
import { WorkItemType } from "TFS/WorkItemTracking/Contracts";
export interface IWorkItemTitleViewProps extends IBaseFluxComponentProps {
    workItemId: number;
    title: string;
    workItemType: string;
    showId?: boolean;
    onClick?(e: React.MouseEvent<HTMLElement>): void;
}
export interface IWorkItemTitleViewState extends IBaseFluxComponentState {
    workItemType: WorkItemType;
}
export declare class WorkItemTitleView extends BaseFluxComponent<IWorkItemTitleViewProps, IWorkItemTitleViewState> {
    private _workItemTypeStore;
    componentDidMount(): void;
    componentWillReceiveProps(nextProps: IWorkItemTitleViewProps, context?: any): void;
    render(): JSX.Element;
    protected initializeState(): void;
    protected getStores(): BaseStore<any, any, any>[];
    protected getStoresState(): IWorkItemTitleViewState;
    private _onLinkClick(e);
}
