import * as tslib_1 from "tslib";
import { WorkItemStateItemActionsHub } from "../Actions/ActionsHub";
import { BaseStore } from "./BaseStore";
var WorkItemStateItemStore = (function (_super) {
    tslib_1.__extends(WorkItemStateItemStore, _super);
    function WorkItemStateItemStore() {
        var _this = _super.call(this) || this;
        _this.items = {};
        return _this;
    }
    WorkItemStateItemStore.prototype.getItem = function (witName) {
        return this.items[witName.toLowerCase()];
    };
    WorkItemStateItemStore.prototype.getKey = function () {
        return "WorkItemStateItemStore";
    };
    WorkItemStateItemStore.prototype.initializeActionListeners = function () {
        var _this = this;
        WorkItemStateItemActionsHub.InitializeWorkItemStateItems.addListener(function (stateItems) {
            if (stateItems) {
                _this.items[stateItems.witName.toLowerCase()] = stateItems.states;
            }
            _this.emitChanged();
        });
    };
    WorkItemStateItemStore.prototype.convertItemKeyToString = function (key) {
        return key;
    };
    return WorkItemStateItemStore;
}(BaseStore));
export { WorkItemStateItemStore };
//# sourceMappingURL=WorkItemStateItemStore.js.map