export declare function isNullOrWhiteSpace(str: string): boolean;
export declare function isNullOrEmpty(str: string): boolean;
export declare function defaultComparer(a: string, b: string): number;
export declare function ignoreCaseComparer(a: string, b: string): number;
export declare function localeComparer(a: string, b: string): number;
export declare function localeIgnoreCaseComparer(a: string, b: string): number;
export declare function stringEquals(a: string, b: string, ignoreCase?: boolean): boolean;
export declare function startsWith(str: string, prefix: string, comparer?: (param1: string, param2: string) => number): boolean;
export declare function endsWith(str: string, suffix: string, comparer?: (param1: string, param2: string) => number): boolean;
export declare function caseInsensitiveContains(str: string, subStr: string): boolean;
export declare function toString(val: any): string;
export declare function hashCode(str: string): number;
