/// <reference types="react" />
import { WorkItem, WorkItemField } from "TFS/WorkItemTracking/Contracts";
export declare function openWorkItemDialog(e: React.MouseEvent<HTMLElement>, item: WorkItem): Promise<WorkItem>;
export declare function getWorkItemAllowedFieldValues(fieldRefName: string): Promise<string[]>;
export declare function getWorkItemFieldValue(fieldName: string): Promise<Object>;
export declare function getWorkItemFieldValues(fieldNames: string[]): Promise<IDictionaryStringTo<Object>>;
export declare function getWorkItemFields(): Promise<WorkItemField[]>;
export declare function getWorkItemField(fieldName: string): Promise<WorkItemField>;
export declare function setWorkItemFieldValue(fieldRefName: string, value: Object): Promise<boolean>;
export declare function setWorkItemFieldValues(fieldToValueMap: IDictionaryStringTo<Object>): Promise<IDictionaryStringTo<boolean>>;
export declare function saveWorkItem(successCallback: () => void, errorCallback: () => void): Promise<void>;
