export declare enum WebSettingsScope {
    User = 1,
    Team = 2,
    UserAndTeam = 3,
    Project = 4,
    ProjectAndUser = 5,
    Collection = 6,
    Root = 7,
}
export declare function writeLocalSetting(key: string, value: string, scope: WebSettingsScope): void;
export declare function readLocalSetting(key: string, scope: WebSettingsScope, defaultValue?: string): string;
export declare function removeLocalSetting(key: string, scope: WebSettingsScope): void;
